## /Auth/Yadis/XRDS.php

Description

This module contains the XRDS parsing code.

PHP versions 4 and 5

LICENSE: See the COPYING file included in this distribution.

- author: JanRain, Inc. <openid@janrain.com>
- copyright: 2005-2008 Janrain, Inc.
- license: Apache

Classes

Class | Description
--- | ---
Auth_Yadis_Service | This class represents a <Service> element in an XRDS document.
Auth_Yadis_XRDS | This class performs parsing of XRDS documents.

Includes
require_once ('Auth/Yadis/XML.php') (line 19)

Require the XPath implementation.

Constants
Auth_Yadis_XMLNS_XRDS = 'xri://$xrds' (line 47)

XRDS XML namespace

Auth_Yadis_XMLNS_XRD_2_0 = 'xri://$xrd*($v*2.0)' (line 42)

XRD XML namespace

SERVICES_YADIS_MATCH_ALL = 101 (line 25)

This match mode means a given service must match ALL filters passed to the Auth_Yadis_XRDS::services() call.

SERVICES_YADIS_MATCH_ANY = 102 (line 31)

This match mode means a given service must match ANY filters (at least one) passed to the Auth_Yadis_XRDS::services() call.

SERVICES_YADIS_MAX_PRIORITY = pow(2,30) (line 37)

The priority value used for service elements with no priority specified.

Functions
Auth_Yadis_getNSMap (line 49)
void Auth_Yadis_getNSMap ()
Auth_Yadis_getXRDExpiration (line 214)
void Auth_Yadis_getXRDExpiration ( $xrd_element, [ $default = null])

- $xrd_element
- $default

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2